diff --git a/src/concurrent/wscript b/src/concurrent/wscript
index 5aeb5ab..8700d68 100644
--- a/src/concurrent/wscript
+++ b/src/concurrent/wscript
@@ -19,6 +19,7 @@ def build(bld):
     source = 'thread.cpp mutex.cpp rwmutex.cpp condition.cpp internal.cpp',
     target = 'pficommon_concurrent',
     includes = '.',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_system PTHREAD')
 
   bld.program(
diff --git a/src/data/wscript b/src/data/wscript
index e99c7c3..df47caf 100644
--- a/src/data/wscript
+++ b/src/data/wscript
@@ -61,6 +61,7 @@ def build(bld):
       ],
     target = 'pficommon_data',
     includes = incdirs,
+    vnum = bld.env['VERSION'],
     use = 'pficommon_system')
 
   def t(src):
diff --git a/src/database/mysql/wscript b/src/database/mysql/wscript
index 79d5a23..5407091 100644
--- a/src/database/mysql/wscript
+++ b/src/database/mysql/wscript
@@ -7,4 +7,5 @@ def build(bld):
     source = 'connection.cpp statement.cpp value.cpp',
     target = 'pficommon_database_mysql',
     includes = '. ..',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_concurrent MYSQL')
diff --git a/src/database/postgresql/wscript b/src/database/postgresql/wscript
index 9b834f8..5040a69 100644
--- a/src/database/postgresql/wscript
+++ b/src/database/postgresql/wscript
@@ -7,4 +7,5 @@ def build(bld):
     source = 'connection.cpp statement.cpp result.cpp value.cpp',
     target = 'pficommon_database_postgresql',
     includes = '. ..',
+    vnum = bld.env['VERSION'],
     use = 'PGSQL')
diff --git a/src/database/wscript b/src/database/wscript
index b491d4f..3916a7d 100644
--- a/src/database/wscript
+++ b/src/database/wscript
@@ -44,6 +44,7 @@ def build(bld):
   t = bld.shlib(
     source = '',
     target = 'pficommon_database',
+    vnum = bld.env['VERSION'],
     use = [])
   
   if bld.env.BUILD_MYSQL:
diff --git a/src/lang/wscript b/src/lang/wscript
index e5538d9..e0ad364 100644
--- a/src/lang/wscript
+++ b/src/lang/wscript
@@ -20,6 +20,7 @@ def build(bld):
 
   bld.shlib(
     source = 'empty.cpp',
+    vnum = bld.env['VERSION'],
     target = 'pficommon_lang')
 
   bld.program(
diff --git a/src/math/wscript b/src/math/wscript
index 8e8e271..f855b3a 100644
--- a/src/math/wscript
+++ b/src/math/wscript
@@ -14,6 +14,7 @@ def build(bld):
   bld.shlib(
     source = 'random/mersenne_twister.cpp',
     target = 'pficommon_math',
+    vnum = bld.env['VERSION'],
     includes = '.')
   
   def t(src):
diff --git a/src/network/wscript b/src/network/wscript
index 4b0873c..d5a9aee 100644
--- a/src/network/wscript
+++ b/src/network/wscript
@@ -56,11 +56,13 @@ def build(bld):
     source = 'socket.cpp ipv4.cpp dns.cpp uri.cpp',
     target = 'pficommon_network_base',
     includes = '.',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_concurrent')
   
   pfin = bld.shlib(
     source = '',
     target = 'pficommon_network',
+    vnum = bld.env['VERSION'],
     use = [
       'pficommon_network_base',
       'pficommon_network_http',
diff --git a/src/system/wscript b/src/system/wscript
index 4068967..a6fc70c 100644
--- a/src/system/wscript
+++ b/src/system/wscript
@@ -21,6 +21,7 @@ def build(bld):
       'sysstat.cpp',
       'mmapper.cpp'],
     target = 'pficommon_system',
+    vnum = bld.env['VERSION'],
     includes = '.')
 
   bld.program(
diff --git a/src/text/wscript b/src/text/wscript
index 2cb54df..e18310c 100644
--- a/src/text/wscript
+++ b/src/text/wscript
@@ -16,6 +16,7 @@ def build(bld):
     source = 'xhtml.cpp csv.cpp json/parser.cpp',
     target = 'pficommon_text',
     includes = '. json',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_data pficommon_system')
   
   bld.program(
diff --git a/src/util/wscript b/src/util/wscript
index c971da4..7ed427f 100644
--- a/src/util/wscript
+++ b/src/util/wscript
@@ -8,6 +8,7 @@ def build(bld):
   
   bld.shlib(
     source = '',
+    vnum = bld.env['VERSION'],
     target = 'pficommon_util')
   
   bld(features = 'cxx cprogram gtest',
diff --git a/src/visualization/wscript b/src/visualization/wscript
index bf0500a..04469a1 100644
--- a/src/visualization/wscript
+++ b/src/visualization/wscript
@@ -27,6 +27,7 @@ def build(bld):
   v = bld.shlib(
     source = ['empty.cpp'],
     target = 'pficommon_visualization',
+    vnum = bld.env['VERSION'],
     use =  [])
   
   bld.program(
diff --git a/src/wscript b/src/wscript
index 8dfd9e8..4af7585 100644
--- a/src/wscript
+++ b/src/wscript
@@ -26,6 +26,7 @@ def build(bld):
   b = bld.shlib(
     source = 'empty.cpp',
     target = 'pficommon',
+    vnum = bld.env['VERSION'],
     use = [
       'pficommon_concurrent',
       'pficommon_data',
diff --git a/src/network/cgi/wscript b/src/network/cgi/wscript
index 29c44fa..1863394 100644
--- a/src/network/cgi/wscript
+++ b/src/network/cgi/wscript
@@ -47,6 +47,7 @@ def build(bld):
     source = 'base.cpp xhtml_cgi.cpp xhtml_builder.cpp inserter.cpp cgi.cpp server.cpp util.cpp',
     target = 'pficommon_network_cgi',
     includes = '. ..',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_text pficommon_concurrent pficommon_network_http PTHREAD')
 
   if bld.env.BUILD_FCGI:
diff --git a/src/network/http/wscript b/src/network/http/wscript
index 7e2bbbe..dbfe480 100644
--- a/src/network/http/wscript
+++ b/src/network/http/wscript
@@ -14,4 +14,5 @@ def build(bld):
     source = 'base.cpp',
     target = 'pficommon_network_http',
     includes = '. ..',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_network_base')
diff --git a/src/network/mprpc/wscript b/src/network/mprpc/wscript
index 940bdd4..0e093f6 100644
--- a/src/network/mprpc/wscript
+++ b/src/network/mprpc/wscript
@@ -21,4 +21,5 @@ def build(bld):
       'socket.cpp'
       ],
     target = 'pficommon_network_mprpc',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_concurrent pficommon_network_base MSGPACK')
diff --git a/src/network/rpc/wscript b/src/network/rpc/wscript
index 74c006c..46121d6 100644
--- a/src/network/rpc/wscript
+++ b/src/network/rpc/wscript
@@ -17,4 +17,5 @@ def build(bld):
     source = 'base.cpp',
     target = 'pficommon_network_rpc',
     includes = '. ..',
+    vnum = bld.env['VERSION'],
     use = 'pficommon_network_base pficommon_concurrent pficommon_system')
